RewriteEngine on
RewriteBase /
RewriteRule ^red_([0-9]+).html red.php?id=$1
RewriteRule ^index_c([0-9]+).html index.php?cid=$1
RewriteRule ^index_all_([0-9]+)_([0-9]+).html index.php?cid=$2&page=$1
RewriteRule ^index_all_([0-9]+).html index.php?page=$1
RewriteRule ^index.html index.php
RewriteRule ^add.html add.php

